cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We want to hear from you. What do you use Dropbox for?
Close

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted

Permission Error - Can't start Dropbox

New member | Level 2
New member | Level 2

I'm trying to install Dropbox on my Mac desktop and I keep getting a permissions error that won't let me open the application. My computer was previously owned by my mother and I thought I had switched over everything to my name but Dropbox permissions keep showing up as her name no matter how many times I uninstall and redownload. I've tried a few solutions mentioned on this forum, like updating ownership permissions on my home but have had no luck so far. I've just started a new job and need to get set up on my dropbox account ASAP so I'm a little desperate. Thanks for your help in advance! 

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 90.4.307
bn.DROPBOXEXT_VERSION: failed
bn.is_frozen: True
machine_id: 1977d610-9136-555f-aeb8-f5d02831b2da
pid: 11692
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='JordanLingreen', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Jordan Lingreen', pw_dir='/Users/JordanLingreen', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='JordanLingreen', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Jordan Lingreen', pw_dir='/Users/JordanLingreen', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'JordanLingreen', 'guest1', 'Guest2'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'JordanLingreen', 'guest1', 'Guest2'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=80
parent mode=0o40755 uid=0 gid=80
HOME: '/Users/JordanLingreen'
appdata: '/Users/karenlingreen/.dropbox/instance1'
real_path='/Users/karenlingreen/.dropbox/instance1'
not found
parent not found
dropbox_path: '/Users/karenlingreen/Dropbox'
real_path='/Users/karenlingreen/Dropbox'
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/r7/rrnwssp92577tbmgyb202xjh0000gn/T'
real_path='/private/var/folders/r7/rrnwssp92577tbmgyb202xjh0000gn/T'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
File "dropbox/client/main.pyc", line 1300, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/karenlingreen'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7999, in main_startup
File "dropbox/client/main.pyc", line 3251, in run
File "dropbox/client/main.pyc", line 1748, in startup_low
File "dropbox/client/main.pyc", line 1327, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/karenlingreen'

1 Accepted Solution

Accepted Solutions
Highlighted

Re: Permission Error - Can't start Dropbox

Dropboxer
Dropboxer

Hey @jlingreen, thanks for checking in with us! I'd be more than happy to help. 

Let's try resolving this by following the steps below - don't worry, this won't affect or remove the files in your Dropbox folder, but please make a note of any selective sync settings you have. 

  1. Save and quit all programs accessing files in the Dropbox folder. 
  2. Copy and paste the following line into the Terminal as it is (as getting it wrong could cause some harm) and press entersudo mv ~/.dropbox ~/.Trash/dropbox.old
  3. You'll be prompted for your computer's admin password (not your Dropbox one) after entering the first command - type it in and press enter. You'll know that you're done with the instructions normally once the initial line of text (called prompt) pops up again.
  4. Restart the Dropbox desktop app from the Application folder, sign in and apply any selective sync settings you may have had prior to this reset during the sign in process.

Your account may take a few moments to reindex the files and sync any pending changes, so please give it some time. 

Let me know how it goes!


Lusil
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

View solution in original post

39 Replies 39
Highlighted

Re: Permission Error - Can't start Dropbox

Dropboxer
Dropboxer

Hey @jlingreen, thanks for checking in with us! I'd be more than happy to help. 

Let's try resolving this by following the steps below - don't worry, this won't affect or remove the files in your Dropbox folder, but please make a note of any selective sync settings you have. 

  1. Save and quit all programs accessing files in the Dropbox folder. 
  2. Copy and paste the following line into the Terminal as it is (as getting it wrong could cause some harm) and press entersudo mv ~/.dropbox ~/.Trash/dropbox.old
  3. You'll be prompted for your computer's admin password (not your Dropbox one) after entering the first command - type it in and press enter. You'll know that you're done with the instructions normally once the initial line of text (called prompt) pops up again.
  4. Restart the Dropbox desktop app from the Application folder, sign in and apply any selective sync settings you may have had prior to this reset during the sign in process.

Your account may take a few moments to reindex the files and sync any pending changes, so please give it some time. 

Let me know how it goes!


Lusil
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

View solution in original post

Highlighted

Re: Permission Error - Can't start Dropbox

New member | Level 2
New member | Level 2

That worked! Thank you! 

Highlighted

Re: Permission Error - Can't start Dropbox

Dropboxer
Dropboxer

Happy to help, @jlingreen! If anything else comes up in the future, just give me a shout.

In the meantime, have a lovely day ahead! 


Lusil
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Re: Permission Error - Can't start Dropbox

New member | Level 2
New member | Level 2

Hi, Can you direct me to where to write that command?

Highlighted

Re: Permission Error - Can't start Dropbox

Dropboxer
Dropboxer

Hi @pabs, thanks for nudging us here. 

 

You can paste that command in your Mac OS's Terminal. You can find more info about openning and quitting your Terminal on Mac, here

 

Hope this helps!


Lusil
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

DropBox didn't start after MacOS-Update and Restore from Backup

New member | Level 2
New member | Level 2

Hello all,

 

I have had a problem after an Update to MacOS Mojave and Restore from Backup, when my System made an onanther user called "username 1 2". Dropbox still was running and used the Folder from the user username. Before updating to Mac OS Catalina I moved the DropBox Folder to "username 1 2" deletet "username"-folder and renamed "username 1 2" to "username". So I thought everything should be fine as before on my old Laptop. Everything works indeed - except Dropbox. Whenever starting dropbox it brings an error message, that it has not the right to get to "username 1 2". Finally I don't know where it has saved the information that it needs this old username. The errorfile is attached below. Basically I would like to know where dropbox has saved "username 1 2" and if I can change that by hand ...

 

Thanks all for your help!

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 96.4.172
bn.constants.WINDOWS_SHELL_EXT_VERSION: 37
bn.is_frozen: True
machine_id: ab85e12f-608b-5513-b918-7f42b5a25b98
pid: 646
ppid: 1
uid: 502
user_info: pwd.struct_passwd(pw_name='username', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='User-Name', pw_dir='/Users/username', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='username', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='User-Name', pw_dir='/Users/username', pw_shell='/bin/bash')
euid: 502
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'username', '_pcastlibrary', '_xgridcontroller', '_xgridagent', '_xcsbuildagent'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'username', '_pcastlibrary', '_xgridcontroller', '_xgridagent', '_xcsbuildagent'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=80
     parent mode=0o40755 uid=0 gid=80
HOME: '/Users/username'
appdata: '/Users/username 1 2/.dropbox/instance1'
         real_path='/Users/username 1 2/.dropbox/instance1'
                not found
         parent not found
dropbox_path: '/Users/username/Dropbox'
              real_path='/Users/username/Dropbox'
                    mode=0o40700 uid=502 gid=20
              parent mode=0o40755 uid=502 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=502 gid=20
                parent mode=0o40755 uid=502 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/fk/fbsbnrm17sj5n9t2kggkg8ph0000gp/T'
         real_path='/private/var/folders/fk/fbsbnrm17sj5n9t2kggkg8ph0000gp/T'
                mode=0o40700 uid=502 gid=20
         parent mode=0o40755 uid=502 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1310, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/username 1 2'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 8145, in main_startup
  File "dropbox/client/main.pyc", line 3287, in run
  File "dropbox/client/main.pyc", line 1758, in startup_low
  File "dropbox/client/main.pyc", line 1337, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/username 1 2'

 

Highlighted

Re: DropBox didn't start after MacOS-Update and Restore from Backup

Dropboxer
Dropboxer

Hello @Doc Phil, I hope you're well today!

 

I've just moved your post here as it seems that you're getting the same permissions error as the OP here. 

 

Please check out the steps Lusil gave here and let me know if that does the trick for you.

 

Thanks!


Daphne
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Re: DropBox didn't start after MacOS-Update and Restore from Backup

New member | Level 2
New member | Level 2

Yes, thx. Basically I hoped to find a smarter way  

 

But after deleting the .dropbox-Folder via terminal and then starting the Dropbox-App I was asked to delete my Laptop from the list of devices, which scared me a little bit. But after doing so I could connect my laptop again to Dropbox - entering my email and password again and Dropbox started to sync. First Dropbox resynced every file with the server - which surprisingly only took a couple of minutes.

 

So finally it worked Thx.

Highlighted

Re: DropBox didn't start after MacOS-Update and Restore from Backup

Dropboxer
Dropboxer

I'm glad to hear that you're all set up now @Doc Phil!

 

If you have any other questions, please don't hesitate to get back to me here as I'd be happy to help out.

 

Hope you have a great weekend ahead!


Daphne
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Who's talking

Top contributors to this post

What do Dropbox user levels mean?
Need more support?